RecordPrinter Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Public Member Functions | Public Attributes | List of all members
RecordPrinter Struct Reference
Collaboration diagram for RecordPrinter:
[legend]

## Classes
struct | Compare

## Public Member Functions
| RecordPrinter (osl::state::NumEffectState &s, osl::ntesuki::NtesukiTable::Table &t, osl::ntesuki::NtesukiRecord *r)
void | enter (osl::ntesuki::NtesukiRecord *r)
void | exit ()
bool | withChildMove (const osl::ntesuki::NtesukiMove &move, osl::ntesuki::NtesukiRecord *child)
void | noChildMove (const osl::ntesuki::NtesukiMove &move)
bool | operator() (const osl::ntesuki::NtesukiMove &lhs, const osl::ntesuki::NtesukiMove &rhs)

## Public Attributes
osl::state::NumEffectState & | state
osl::ntesuki::NtesukiTable::Table & | table
std::vector < osl::ntesuki::NtesukiRecord * > | records
std::set< HashKey > | read_keys
int | depth
int | pass_count
int | pass_depth

## Detailed Description

Definition at line 87 of file ntesukiTable.cc.

## Constructor & Destructor Documentation

RecordPrinter::RecordPrinter | ( | osl::state::NumEffectState & | s,
|  | osl::ntesuki::NtesukiTable::Table & | t,
|  | osl::ntesuki::NtesukiRecord * | r
| ) |  |
| inline

Definition at line 98 of file ntesukiTable.cc.

## Member Function Documentation

void RecordPrinter::enter | ( | osl::ntesuki::NtesukiRecord * | r) |  |
| inline

Definition at line 106 of file ntesukiTable.cc.

References depth, and osl::ntesuki::NtesukiRecord::key.

void RecordPrinter::exit | ( | ) |  |
| inline

Definition at line 112 of file ntesukiTable.cc.

References depth.

void RecordPrinter::noChildMove | ( | const osl::ntesuki::NtesukiMove & | move) |  |
| inline

Definition at line 156 of file ntesukiTable.cc.

bool RecordPrinter::operator() | ( | const osl::ntesuki::NtesukiMove & | lhs,
|  | const osl::ntesuki::NtesukiMove & | rhs
| ) |  |
| inline

Definition at line 160 of file ntesukiTable.cc.

References osl::ntesuki::NtesukiRecord::getChildCount(), osl::ntesuki::NtesukiMove::getMove(), osl::ntesuki::NtesukiRecord::isVisited(), osl::ntesuki::NtesukiRecord::key, ntesuki_assert, and osl::ntesuki::NtesukiTable::table.

bool RecordPrinter::withChildMove | ( | const osl::ntesuki::NtesukiMove & | move,
|  | osl::ntesuki::NtesukiRecord * | child
| ) |  |
| inline

Definition at line 119 of file ntesukiTable.cc.

References osl::BLACK, depth, osl::ntesuki::NtesukiRecord::getChildCount(), osl::ntesuki::NtesukiMove::getMove(), osl::ntesuki::NtesukiRecord::getValue(), osl::ntesuki::NtesukiMove::isPass(), osl::ntesuki::NtesukiRecord::isVisited(), osl::ntesuki::NtesukiRecord::key, and osl::record::csa::show().

## Member Data Documentation

int RecordPrinter::depth

Definition at line 96 of file ntesukiTable.cc.

int RecordPrinter::pass_count

Definition at line 96 of file ntesukiTable.cc.

int RecordPrinter::pass_depth

Definition at line 96 of file ntesukiTable.cc.

std::set<HashKey> RecordPrinter::read_keys

Definition at line 95 of file ntesukiTable.cc.

std::vector<osl::ntesuki::NtesukiRecord*> RecordPrinter::records

Definition at line 94 of file ntesukiTable.cc.

osl::state::NumEffectState& RecordPrinter::state

Definition at line 92 of file ntesukiTable.cc.

osl::ntesuki::NtesukiTable::Table& RecordPrinter::table

Definition at line 93 of file ntesukiTable.cc.

The documentation for this struct was generated from the following file:

- ntesukiTable.cc